Gtk2::CellRendererProgress(3)

NAME
Gtk2::CellRendererProgress - wrapper for GtkCellRendererProgress

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererProgress

METHODS

  cellrenderer = Gtk2::CellRendererProgress->new

PROPERTIES

'orientation' (Gtk2::ProgressBarOrientation : default "left-to-right" : readable / writable / private)
    Orientation and growth direction of the progress bar

'pulse' (integer : default -1 : readable / writable / private)
    Set this to positive values to indicate that some progress is made, but you don't know how much.

'text' (string : default undef : readable / writable / private)
    Text on the progress bar

'text-xalign' (float : default 0.5 : readable / writable / private)
    The horizontal text alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

'text-yalign' (float : default 0.5 : readable / writable / private)
    The vertical text alignment, from 0 (top) to 1 (bottom).

'value' (integer : default 0 : readable / writable / private)
    Value of the progress bar

ENUMS AND FLAGS

  enum Gtk2::ProgressBarOrientation

•   'left-to-right' / 'GTK_PROGRESS_LEFT_TO_RIGHT'

•   'right-to-left' / 'GTK_PROGRESS_RIGHT_TO_LEFT'

•   'bottom-to-top' / 'GTK_PROGRESS_BOTTOM_TO_TOP'

•   'top-to-bottom' / 'GTK_PROGRESS_TOP_TO_BOTTOM'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::CellRenderer

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.